FROM nginx:mainline-alpine

WORKDIR /usr/bin/cre/

ARG ARTIFACT_NAME=ColorRecipesExplorer-ng
COPY $ARTIFACT_NAME.zip .
COPY frontend.nginx.conf /etc/nginx/nginx.conf

RUN apk update
RUN apk add --no-cache zip

RUN unzip $ARTIFACT_NAME.zip
RUN rm $ARTIFACT_NAME.zip

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]
